Bug 1962255 - ship systemd-oomd in a subpackage
Summary: ship systemd-oomd in a subpackage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: systemd
Version: CentOS Stream
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: systemd-maint
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On:
Blocks: 1941649
TreeView+ depends on / blocked
 
Reported: 2021-05-19 15:23 UTC by Davide Cavalca
Modified: 2021-12-02 12:01 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-22 07:22:25 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gitlab redhat/centos-stream/rpms systemd merge_requests 17 0 None None None 2021-05-25 13:01:51 UTC

Description Davide Cavalca 2021-05-19 15:23:22 UTC
systemd in c9s ships with oomd, but it's not terribly useful/usable without its config, so we should ship systemd-oomd-configs too.

Comment 1 Davide Cavalca 2021-05-19 15:24:40 UTC
Put up https://gitlab.com/redhat/centos-stream/release-engineering/comps/-/merge_requests/42 to add it to comps

Comment 2 Josh Boyer 2021-05-19 15:47:05 UTC
As mentioned on the MR, systemd-oomd will not be enabled by default in CentOS Stream or RHEL.  We can use this bug to add the package to the compose in other ways if it's something we're going to support at all.

Comment 3 Davide Cavalca 2021-05-19 15:57:39 UTC
Thanks Josh, how about https://gitlab.com/redhat/centos-stream/release-engineering/pungi-centos/-/merge_requests/42 then to add it to the pungi config for the compose? This won't have any effect unless the daemon is enabled and the package is installed, so it should be fine to do even if oomd isn't going to be enabled by default.

Comment 4 Michal Sekletar 2021-05-20 09:43:10 UTC
For CentOS Stream and RHEL-9 we are planning to put systemd-oomd to a subpackage alongside the default configuration. Package won't be installed by default and whoever wants it will get the daemon together with the default config after installing systemd-oomd subpackage.

In RHEL we want users to have the option to use it but we don't want oomd present in every environment where systemd rpm is installed (e.g. container images). Hence we need to move systemd-oomd daemon binary to a subpackage and then it make sense to also rename current config subpackage to just say systemd-oomd.

Davide, does this plan work for you?

Comment 5 Davide Cavalca 2021-05-20 15:10:41 UTC
Yeah, that works -- if we're doing a subpackage for systemd-oomd, we can put the default configs in it too. Thanks!

Comment 6 Davide Cavalca 2021-05-20 16:47:39 UTC
Put up https://gitlab.com/redhat/centos-stream/rpms/systemd/-/merge_requests/17 for this

Comment 8 Kyle Walker 2021-06-07 14:00:40 UTC
Morning all, just added a note to the MR. Looks like there was a minor miss in the scriptlets being added (MR 18).

https://gitlab.com/redhat/centos-stream/rpms/systemd/-/merge_requests/18#note_594444923

Adding the note here for visibility.


Note You need to log in before you can comment on or make changes to this bug.